<?
/***************************************************************************************************************************

Ipernity FastSite by Motaz Abuthiab is licensed under a Creative Commons Attribuzione-Non commerciale-Condividi allo stesso modo 2.5 Italia License.
Based on a work at www.sallati.com.

Contact i@sallati.com

/***************************************************************************************************************************/
/***************************************************************************************************************************/



//////////////////////////////////////
// Change what you want here  		//
//////////////////////////////////////

// Web side title, keywords and descriptions
// Very useful for search engines
$site_title = 'Sallati \\\\\\\\ Motaz Abuthiab \\\\ STREET PHOTOGRAPHER \\ ';
$site_keywords = 'Motaz Abuthiab, Photogallery, Street Photography, Siena, Italy, Leica M6, Black and white, B&amp;W';
$site_description = 'Motaz Abuthiab, personal website, include street photography and some articles';

// type here your user id in ipernity
// make sure to get it from you homepage url 
// examples:
// homepage url = http://www.ipernity.com/home/moty66 then the user id will be moty66
// homepage url = http://www.ipernity.com/home/55765 then the user id will be 55765
$user_id = 'moty66';
// leave it blank if you don't want to show it //
$user_email = 'i*************************sallati.com';


// Which albums you want to show ?
// please use the id from the album from album url
// example: album url is http://www.ipernity.com/doc/moty66/album/78785
// then the id will be 78785
// $album[] = array("Title of the album here", id of the album here);
$album[] = array('Palestine',15991);
$album[] = array('Pinhole',71380);
$album[] = array('&Egrave; Palio',73586);
$album[] = array('Colour',15994);

// Show last inserted photos 
// use true or false
$show_last_photos = true;
$lable_of_last_photos = 'Last inserted';

// Show blog articles
// use true or false
$show_blog_articles = true;
$lable_of_blog = 'Articles';


// Text color, you can use hex color code: example #ffcc11;
$text_color = 'red';
// Background colour, you can use hex color code: example #ffcc11;
$bg_color = 'white';
// Album background colour, you can use hex color code: example #ffcc11;
$ablum_bg_color = '#f7f7f7';


// Page width in pixels or percent or auto
// example ($page_width = "6000px"; , $page_width = "50%"; $page_width = "auto";
// it will be useful when you use bigger thumbs, and it will enbable the horizontal scrolling
$page_width = 'auto';



// Thumb size: you can use these values 75x, 100, 240, 500, 560, 1024 
// For values orver 240, you must change the css code
// example: $thumb_size = '240';
$thumb_size = '75x';

// The default text to show for the untitled photos, you can leave it blank
$default_title = 'Untitled';




/***************************************************************************************************************************/

//////////////////////////////////////
// * Do not change anything here  *	//
//////////////////////////////////////
$feed_url = 'http://www.ipernity.com/feed/doc?';
if($show_last_photos)
	$feeds[] = array($lable_of_last_photos,$feed_url.'user_id='.$user_id.'&only=photo');
foreach($album as $key=>$value)
		$feeds[] = array($value[0],$feed_url.'album_id='.$value[1].'&only=photo');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="keywords" content="<?=$site_keywords?>" />
<meta name="description" content="<?=$site_description?>" />
<title>
<?=$site_title?>
</title>
<!-- include jquery farmework -->
<script language="javascript" type="text/javascript" src="http://code.jquery.com/jquery-latest.js"></script>
<!-- include Thickbox 3 js -->
<script language="javascript" type="text/javascript" src="tb.js"></script>
<style type="text/css" media="screen">
<!--
@import url("tb.css");

body { 
	color:<?=$text_color?>;
	background-color:<?=$bg_color?>;
	width:<?=$page_width?>;
	padding:30px;
	font-family: Georgia, "Times New Roman", Times, serif;
}

h1 { 
	font-size:20px;
}

a { 
	color:<?=$text_color?>; 
	text-decoration:none;
}

img  { 
	margin:0px 5px;
}

.album_title {
	color: <?=$text_color?>;
	font-size: 9px;
	background-color:<?=$ablum_bg_color?>;
	padding:0px 2px; 
}

.box { 
	width:<?=$page_width?>;  
	/*height:240px; */
	background-color:<?=$ablum_bg_color?>; 
	margin-bottom:20px; 
	padding-bottom:10px;
}	.box .link { 
		width:280px;  
		float:left; 
		background-color:<?=$ablum_bg_color?>; 
		height:30px; 
		text-transform:lowercase; 
		margin-right:2px;
}	.box .link a { 
		display:block; 
		line-height:30px; 
		padding:0px 2px;
		font-size:10px;
}	.box .link a:hover { 
		color:<?=$text_color?>; 
		background-color:<?=$bg_color?>;
}

#header {
	margin-bottom:30px; }

.footer {
	font-family:arial; 
	font-size:8px; 
	color:#666;
}
 -->
</style>

</head>
<body>
<br />
<div id="header">
<h1><?=$site_title?></h1>
<span class="footer">
<? if (!empty($user_email)) { ?><a href="mailto:<?=$user_email?>" title="Contact me">@</a> \\ <? } ?> 
<a href="http://www.ipernity.com/home/<?=$user_id?>" title="More photos">+</a></span>
</div>

<div id="content">
  <?
foreach ($feeds as $album) {
?>
  <span class="album_title">
  <?=$album[0];?>
  </span>
  <div class="box">
    <?
		include($album[1].'&format=php');
		
		foreach($feed[items] as $key=>$value) {
			// get only photos from the album
			if($value['type'] == 'photo') {
				
				$small = $value['thumbs'][$thumb_size]['url'];
				
				// check which of these large formats are available
				if(!empty($value['thumbs'][1024]['url']))
					$big = $value['thumbs'][1024]['url'];
				elseif(!empty($value['thumbs'][560]['url']))
					$big = $value['thumbs'][560]['url'];
				elseif(!empty($value['thumbs'][500]['url']))
					$big = $value['thumbs'][500]['url'];
				else
					$big = $small;
					
				
				$title 	= $value['title'] == '&lt;untitled&gt;' ? $default_title : $value['title'];
				
				
				preg_match_all('!<div class="description">(.*)</div>!si',$value['content'],$out);
				$desc = strip_tags($out[1][0],'<b><br /><p><em><a><span>');
				
				
				$title  = htmlentities($title);
				$desc	= htmlentities($desc);
				
				
				echo '
				<a href="'.$big.'" title="<b>'.$title.'</b> '.$desc.'" class="thickbox" rel="'.htmlentities($album[0]).'">
					<img src="'.$small.'" alt="'.$title.'" border="0" />
				</a>'."\n".'';
				
				
			} // end value[type] == photo
			
		} // end foreach feed[items]
?>
  </div>
  <?
} // end foreach feeds //
?>
  <?
  if($show_blog_articles) {
  ?>
  <span class="album_title"><?=$lable_of_blog?></span><br />
  <div class="box">
    <?
$i =1;
//http://www.ipernity.com/feed/post
@include ("http://www.ipernity.com/feed/post?user_id=".$user_id."&format=php");
foreach($feed[items] as $key=>$value) {
	echo "<div class='link'><a class='thickbox'  href='".$value[link]."&&TB_iframe=true&height=600&width=700&modal=true'>".$value[title]."</a></div>";
	if($i++%4 == 0)
		echo "<br><br><br>";
}

?>
  </div>
  <? } ?>
  <div id="links" class="footer"><br />
    <br />
  Powered by <a href="http://www.ipernity.com/">ipernity</a> - Programmed by <a href="http://www.sallati.com/">Sallati</a><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"></a><br />
  <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/2.5/it/"></a><br />
  <span xmlns:dc="http://purl.org/dc/elements/1.1/" property="dc:title">Ipernity Fast Site</span> by <a xmlns:cc="http://creativecommons.org/ns#" href="http://www.sallati.com" property="cc:attributionName" rel="cc:attributionURL">Motaz Abuthiab</a> is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/2.5/it/">Creative Commons Attribuzione-Non commerciale-Condividi allo stesso modo 2.5 Italia License</a>.<br />Based on a work at <a xmlns:dc="http://purl.org/dc/elements/1.1/" href="http://www.sallati.com" rel="dc:source">www.sallati.com</a>.<br />
  </div>
</div>
</body>
</html>
